Bug 79198 - START CENTER: Close button doesn't reappear after clicking it and mouse pointer is not moved
Summary: START CENTER: Close button doesn't reappear after clicking it and mouse point...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.3.0.0.beta1
Hardware: All All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:5.3.0 target:5.2.0.1 target:5.1.5
Keywords:
Depends on:
Blocks: Start-Center
  Show dependency treegraph
 
Reported: 2014-05-24 23:46 UTC by Firas Hanife
Modified: 2016-10-25 18:55 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Firas Hanife 2014-05-24 23:46:29 UTC
In order to reproduce this issue you need to have more than 1 recent document in the start center.

- Steps to reproduce:

1) Click the X button to remove the first recent document on the upper left corner
2) Without moving the mouse pointer, click another time on the preview of the next document preview (which now is in the same position of the other document that was removed in step 1).

X button/area selection does not re-appear until the mouse is moved, but clicking permits removing recent documents.
Comment 1 Yousuf Philips (jay) 2014-05-24 23:52:40 UTC
Confirmed in 4.3 beta on Linux Mint. I CCed Jan as he's the one working on it according to < http://holesovsky.blogspot.ae/2014/05/removing-files-from-recent-documents.html >.
Comment 2 kloud 2014-06-21 04:16:41 UTC
Still there in v4.3 RC1, XP.
Comment 3 QA Administrators 2015-10-14 19:58:15 UTC Comment hidden (obsolete)
Comment 4 tommy27 2015-11-01 08:07:37 UTC
tested under Win8.1 x64
still reproducible with LibO 5.0.3.1 and 5.1.0.0.alpha1+ (x64)
Build ID: f173e148d8f2d0600fd50bee05e536932d529643-GL
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2015-10-30_22:26:03
Locale: it-IT (it_IT)
Comment 5 Commit Notification 2016-06-17 10:49:10 UTC
Akshay Deep committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=27bd030aa033565dfdff56c298c797c80cee5160

tdf#79198 START CENTER: Close button doesn't reappear after being clicked

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2016-06-17 12:31:30 UTC
Akshay Deep committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bcefc1a01507b8b4316e0b5801298c9edb3f75e8&h=libreoffice-5-2

tdf#79198 START CENTER: Close button doesn't reappear after being clicked

It will be available in 5.2.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2016-06-17 14:03:54 UTC
Akshay Deep committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a503fb0df9960bb1a76a7a35273d740d0ea31f32&h=libreoffice-5-1

tdf#79198 START CENTER: Close button doesn't reappear after being clicked

It will be available in 5.1.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.